const int k1Pin = 2;  // K1 gomb pinje
const int k2Pin = 3;  // K2 gomb pinje
int k2PressCount = 0; // K2 gomb lenyomásainak számlálója
bool k1Pressed = false; // K1 gomb lenyomva van-e
unsigned long lastDebounceTime = 0;  // Utolsó debouncing időbélyeg

// A gombok debouncing időtartama milliszekundumban
const int debounceDelay = 50;

void setup() {
  Serial.begin(9600); // Soros port inicializálása
  pinMode(k1Pin, INPUT); // K1 gomb beállítása bemenetként
  pinMode(k2Pin, INPUT); // K2 gomb beállítása bemenetként
}

void loop() {
  // K1 gomb állapotának ellenőrzése
  int reading = digitalRead(k1Pin);
  
  if (reading != k1Pressed) {
    lastDebounceTime = millis();
  }

  if ((millis() - lastDebounceTime) > debounceDelay) {
    // Csak ha eltelt a debouncing idő
    if (reading != k1Pressed) {
      k1Pressed = reading;
      
      // K1 gomb felengedésekor
      if (!k1Pressed) {
        Serial.println("K2 gomb lenyomásainak száma: " + String(k2PressCount));
        k2PressCount = 0; // Számláló nullázása
      }
    }
  }

  // K2 gomb lenyomásának ellenőrzése
  if (digitalRead(k2Pin) == LOW && k1Pressed) {
    // K2 gomb lenyomva, és K1 gomb lenyomva van
    k2PressCount++;
  }

  delay(10); // Késleltetés a stabilabb működés érdekében
}
